Subject: [Speechsc] Random comments on mrcpv2-draft-20

From: Slawomir Testowy <[email-masked]>
Date: Wed, 30 Dec 2009 16:48:50 +0100

> The "SPEAK" Request provides the synthesizer

> The SPEAK method implementation MUST do

> If the current SPEAK fails, all SPEAK methods in the pending queue are
> cancelled and each generates a SPEAK-COMPLETE event with a Completion-Cause of
> "cancelled".

> For the synthesizer resource, "SPEAK" is the only method that can return a
> request-state of IN-PROGRESS or PENDING.  When the text has been synthesized
> and played into the media stream, the resource issues a "SPEAK-COMPLETE"
> event with the request-id of the "SPEAK" request and a request-state of
> COMPLETE.

Why sometimes methods and events are surrounded in quotes and sometimes not?

> 6.1.1. SET-PARAMS

Is SET-PARAMS atomic? It means, if SET-PARAMS fails, it MUST NOT modify anything
as if it was not received?

> 8.4.7. Prosody-Parameters

>  The prosody parameter headers in the "SET-PARAMS" or "SPEAK" request
>  only apply if the speech data is of type text/plain and does not use
>  a speech markup format.

Why is it so? Why it is not true for Voice-Parameters?
Is it true for CONTROL (i.e. current SPEAK must be text/plain)?

Specification does not say anything about it.

>
>  These prosody parameter headers MAY also be sent in a CONTROL method
>  to affect a "SPEAK" request in progress and change its behavior on
>  the fly.  If the synthesizer resource does not support this
>  operation, it MUST respond back to the client with a status of 403
>  "Unsupported Header".

If the last sentence works only for CONTROL method (which is not clear IMO),
maybe this should be moved to the description of CONTROL, because there is no
information about handling errors in 8.11.

The same applies for Voice-Parameters headers.

-- 
regards
Slawomir Testowy